package server

// REFACTOR: UNIVERSAL SERVER CODE
import (
	"github.com/gofiber/fiber/v2"

	"git.pbiernat.dev/egommerce/api-entities/http"
)

func (s *Server) HealthHandler(c *fiber.Ctx) error {
	// ctx := context.Background()
	if s.Cache.Ping(c.Context()).Val() != "PONG" {
		// TODO: log cache connection error...
		return fiber.ErrBadRequest
	}

	if s.Database.Ping(c.Context()) != nil {
		// TODO: log database connection error...
		return fiber.ErrBadRequest
	}

	// TODO add rest of services checks

	return c.JSON(&http.HealthResponse{
		Status: "OK",
	})
}

func (s *Server) ConfigHandler(c *fiber.Ctx) error {
	return c.JSON(s.Config)
}
